Platforma agentów i API Road User Tools
Przelicz moment obrotowy
Przeliczaj między niutonometrami a funtostopami.
Interfejsy
POST
Punkt końcowy REST
/api/v1/torque/convertMCP
Nazwa narzędzia
convert_torqueŻądanie
Wyślij żądanie jako JSON. Klienci MCP przekazują te same pola, co argumenty narzędzi.
cURLshell
curl -X POST https://roaduser.tools/api/v1/torque/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 400,
"from": "nm",
"to": "lbft"
}'Treść żądaniajson
{
"value": 400,
"from": "nm",
"to": "lbft"
}Odpowiedź
REST zawija wynik obliczeń w standardową kopertę sukcesu. MCP zwraca te same dane obliczeniowe, co dane wyjściowe narzędzia strukturalnego.
JSON
{
"ok": true,
"data": {
"input": {
"value": 400,
"from": "nm",
"to": "lbft"
},
"conversions": {
"nm": 400,
"lbft": 295.0248597109062
},
"result": 295.0248597109062
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}Schematy
Poniższe definicje przedstawiają kompletny schemat JSON używany do sprawdzania poprawności wejść i opisywania wyjść.
Schemat wejścia
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Torque value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"nm",
"lbft"
],
"description": "Input torque unit."
},
"to": {
"type": "string",
"enum": [
"nm",
"lbft"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}Schemat wyjścia
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"nm",
"lbft"
]
},
"to": {
"type": "string",
"enum": [
"nm",
"lbft"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"nm": {
"type": "number"
},
"lbft": {
"type": "number"
}
},
"required": [
"nm",
"lbft"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}